<template>
  <a-layout id="components-layout-demo-fixed-sider">
    <a-layout-sider
      theme="light"
      :style="{
        overflow: 'auto',
        height: '100vh',
        position: 'fixed',
        left: 0,
        'max-width': '220px',
        width: '220px',
        flex: '0 0 400px'
      }"
    >
      <div class="logo"></div>
      <a-menu theme="light" mode="inline" :default-selected-keys="['4']">
        <a-sub-menu key="g1" title="Key 1">
          <a-menu-item key="1">Option 1</a-menu-item>
          <a-menu-item key="2">Option 2</a-menu-item>
        </a-sub-menu>
        <a-menu-item-group key="g2" title="Item 2">
          <a-menu-item key="3">Option 3</a-menu-item>
          <a-menu-item key="4">Option 4</a-menu-item>
        </a-menu-item-group>
        <a-menu-item-group key="g3">
          <a-menu-item key="5">Option 5</a-menu-item>
        </a-menu-item-group>
      </a-menu>
    </a-layout-sider>
    <a-layout :style="{ marginLeft: '200px' }">
      <a-layout-header :style="{ background: '#fff', padding: 0 }" />
      <a-layout-content :style="{ margin: '24px 16px 0', overflow: 'initial' }">
        <div
          :style="{ padding: '24px', background: '#fff', textAlign: 'center' }"
        >
          <nuxt />
        </div>
      </a-layout-content>
      <a-layout-footer :style="{ textAlign: 'center' }">
        Ant Design ©2018 Created by Ant UED
        <br />
        <p @click="logout">Logout</p>
      </a-layout-footer>
    </a-layout>
  </a-layout>
</template>

<script>
import { mapActions } from 'vuex'

export default {
  mounted() {
    this.$nextTick(function() {
      this.onResize()
    })
    window.addEventListener('resize', this.onResize)
  },
  destroyed() {
    window.removeEventListener('resize', this.onResize)
  },
  middleware: 'unauth',
  methods: {
    ...mapActions('user', ['logout']),
    onResize() {
      console.log('Resized', window.innerWidth)
    }
  }
}
</script>

<style>
#components-layout-demo-fixed-sider .logo {
  height: 32px;
  background: rgba(255, 255, 255, 0.2);
  margin: 16px;
}

.ant-menu-inline {
  border-right: 1px solid transparent;
}
</style>
